# $Id: go-install.sh,v 1.1.1.1 1992/03/18 09:34:15 uep Exp $
# go-install.sh (install the binary distribution of Go)
#
# An installed organization is given in the Go Installation Guide.
# This script shell copy this directory hierarchy in the target directory,
# using cpio.
#
if [ $# != 2 ]
   then echo "usage: go-install srcdir dstdir"
        exit 1
fi

CurrentDir=`pwd`
cd $2; DstDir=`pwd`
cd $CurrentDir; cd $1; SrcDir=`pwd`

echo "Copying the Go FROM $SrcDir TO $DstDir (y|n)? \c"
read YorN
if [ $YorN != "y" ]
   then exit 0
fi

echo "Copying files ..., result in $CurrentDir/go-install.log"
cd $SrcDir
find . -print | cpio -pmdvu $DstDir 2>$CurrentDir/go-install.log 1>&2

if [ -f $SrcDir/lib/Go/app-files/godraw/XmGoDraw ]
   then cp $SrcDir/lib/Go/app-files/godraw/XmGoDraw /usr/lib/X11/app-defaults
fi
echo "Done."
