/* $Id: Cursor.h,v 1.2 1992/12/10 13:54:08 jojic Exp $ */
/*****************************************************************************
MODULE:  Tools
FILE:    Cursor.h
AUTHOR:  Philippe Smadja
DATE:    Nove 92

DESCRIPTION:
    gives the definition of the predefined cursor ident.

COPYRIGHT:
  Copyright (c) 1990, 1991 Bull S.A., Paris, France

  Permission to use, copy, modify, distribute FREE OF CHARGE this software
  and its documentation for any purpose is hereby granted without fee, provided
  that (i) the above copyright notices and this permission notice appear in
  all copies of the software and related documentation, and (ii) the name of
  Bull may not be used in any advertising or publicity relating to the
  software without the specific, prior written permission of Bull.

  The permission to distribute or sublicense FOR CHARGE either this software
  (all or part) or products derived from this software is subject to prior
  license from Bull under separate agreement.

  The information in this software is subject to change without
  notice and should not be construed as a commitment by Bull.

  Bull assumes no responsibility for the use or inability to use any of its
  software. The software is provided "AS IS" without warranty of any
  kind, and Bull expressly disclaims all implied warranties, including
  but not limited to the implied warranties of merchantability and
  fitness for a particular purpose.

  In no event shall Bull be liable for any special, incidental, indirect
  or consequential damages of any kind, or any damages whatsoever
  resulting from loss of use, data or profits, whether or not advised of
  the possibility of damage, and on any theory of liability, arising out
  of or in connection with the use or performance of this software.
******************************************************************************/

#ifndef GCURSOR_NOCURSOR

/*
 * predefined cursor ident.
 */

#define GCURSOR_NOCURSOR            0
#define GCURSOR_DEFAULT             1
#define GCURSOR_CROSS               2
#define GCURSOR_CROSSHAIR           3
#define GCURSOR_ARROW_4D            4
#define GCURSOR_RESIZE_NORTH        5
#define GCURSOR_RESIZE_NORTH_EAST   6
#define GCURSOR_RESIZE_EAST         7
#define GCURSOR_RESIZE_SOUTH_EAST   8
#define GCURSOR_RESIZE_SOUTH        9
#define GCURSOR_RESIZE_SOUTH_WEST  10
#define GCURSOR_RESIZE_WEST        11
#define GCURSOR_RESIZE_NORTH_WEST  12
#define GCURSOR_WATCH              13
#define GCURSOR_HOURGLASS          14
#define GCURSOR_QUESTION           15
#define GCURSOR_IBEAM              16
#define GCURSOR_UPPER_LEFT_ARROW   17
#define GCURSOR_UPPER_RIGHT_ARROW  18
#define GCURSOR_EAST_WEST_ARROW    19
#define GCURSOR_NORTH_SOUTH_ARROW  20

#endif
